"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/4_/xyjwmyz1497g3qhhndg003800000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1068239c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x106823a60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106823b00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106823ba0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x106823c40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x106823ce0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x106823d80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106823e20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106823ec0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106823f60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x108014040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1080140e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x108014180>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x108014220>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1080142c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x108014360>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x108014400>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1080144a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x108014540>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1080145e0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x108014680>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x108014720>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1080147c0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x108014860>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x108014900>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1080149a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x108014a40>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x108014ae0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x108014b80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x108014c20>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x108014cc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x108014d60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x108014e00>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x108014ea0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x108014f40>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x108014fe0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x108015080>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x108015120>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1080151c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108015260>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108015300>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1080153a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x108015440>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1080154e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x108015580>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108015620>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1080156c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108015760>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108015800>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1080158a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108015940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1080159e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x108015a80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108015b20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108015bc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x108015c60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x108015d00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108015da0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x108015e40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108015ee0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x108015f80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x108016020>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1080160c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x108016160>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108016200>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1080162a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x108016340>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1080163e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108016480>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108016520>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1080165c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x108016660>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108016700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1080167a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x108016840>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1080168e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x108016980>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x108016a20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x108016ac0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108016b60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x108016ca0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x108016c00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x108016d40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108016de0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x108016e80>)]
name: str = 'fr_HOCCN'
